* CHANGE.CMD
* RLS
* MAR 1986
STORE t TO nothru
ERASE
USE grocery&gs INDEX item&gs
RESTORE FROM GRAPHICS ADDITIVE
@ 1,0 SAY gr:on
@ 1,1 SAY gr:ltc + gr:line
@ 2,1 SAY gr:vert
@ 3,1 SAY gr:vert
@ 4,1 SAY gr:vert
@ 5,1 SAY gr:vert
@ 6,1 SAY gr:vert
@ 7,1 SAY gr:lbc+gr:line
@ 7,79 SAY gr:rbc
@ 6,79 SAY gr:vert
@ 5,79 SAY gr:vert
@ 4,79 SAY gr:vert
@ 3,79 SAY gr:vert
@ 2,79 SAY gr:vert
@ 1,79 SAY gr:rtc
@ 8,1 SAY gr:off
RELEASE ALL LIKE gr:*
@ 4,20 SAY "d B A S E  S H O P P E R :  C H A N G E S "
DO WHILE nothru
STORE t TO noitem
STORE "                    " TO mitem
DO WHILE noitem
 @ 10,10 SAY "Enter the NAME of the item in the list. "
 @ 12,15 GET mitem PICTURE "!!!!!!!!!!!!!!!!!!!!"
 READ 
 FIND &mitem
 IF # = 0
  @ 15,10 SAY " Your entry could not be found.  Please try again."
  SET CONSOLE OFF
  WAIT
  SET CONSOLE ON
 ELSE
  STORE f TO noitem
 ENDIF
  @ 15,0
  @ 12,0
  @ 10,0
ENDDO noitem
STORE t TO notrite
DO WHILE notrite
  STORE aisle TO maisle
  STORE item TO mitem
  STORE comments TO mcomments
  STORE coupon TO mcoupon
  @ 10, 10 SAY "                    Please enter the changes: "
  SET INTENSITY ON
  @ 12, 5 SAY "Aisle"
  @ 12, 12 SAY "Item"
  @ 12, 45 SAY "Comments"
  @ 12, 70 SAY "Coupons"
  @ 13,1 SAY "________________________________________"
  @ 13,40 SAY "_______________________________________"
  SET INTENSITY OFF
  @ 15,5 GET maisle
  @ 15,12 GET mitem 
  @ 15,45 GET mcomments
  @ 15,70 GET mcoupon
  READ
  CLEAR GETS
  @ 17,10 SAY "Are the above entries correct? <Y>es/<N>o "
  SET CONSOLE OFF
  WAIT TO ans
  SET CONSOLE ON
  IF !(ans)#"Y"
     @ 10,0
     @ 12,0
     @ 13,0
     @ 15,0
     @ 17,0
  ELSE
     REPLACE aisle WITH maisle, item WITH mitem, comments WITH mcomments
     REPLACE coupon WITH mcoupon
     STORE f TO notrite
  ENDIF
 ENDDO notrite
     @ 17,0
     @ 17,10 SAY " Change another item? <Y>es/<N>o "
     SET CONSOLE OFF
     WAIT TO ans
     SET CONSOLE ON
     IF !(ans) = "N"
       STORE f TO  nothru
       @ 17,0
       @ 17, 10 SAY "Working . . ."
       REINDEX
       @ 17, 10 SAY "Almost done . . ."
       USE grocery&gs INDEX aisle&gs
       REINDEX
       RELEASE notrite, noitem, ans, maisle, mitem, mcomments, mcoupon,nothru
       RETURN
     ELSE
     @ 10,0
     @ 12,0
     @ 13,0
     @ 15,0
     @ 17,0
     ENDIF
   ENDDO
